/*
 * ChangeApplication.h
 * Copyright 1996 by Matt Pauker
 */

#ifndef CHANGE_APPLICATION_H
#define CHANGE_APPLICATION_H

class LockableList;


class ChangeApplication : public BApplication
{	
	public:
								ChangeApplication();
								~ChangeApplication();
	virtual void	ReadyToRun();
	virtual void	MessageReceived(BMessage *message);
	virtual void	RefsReceived(BMessage *message);
	virtual void	FilePanelClosed(BMessage *message);
	virtual void	AboutRequested();
					void	ShowFilePanel(const char *windowTitle, const char *buttonTitle, BMessage *msg);
					void	WindowClosed(BWindow *theWindow);
										
	private:
					bool	CheckFileOpen(record_ref ref);

					long	lastX, lastY;
					BRect *filePanelFrame;
		record_ref	*filePanelDir;
	LockableList	*windowList;
};

#endif