/*
 * MessageDroppedFilter.h
 *
 * Written by Matt Pauker
 *
 * Last modified: 9/14/96
 */

#ifndef MESSAGE_DROPPED_FILTER_H
#define MESSAGE_DROPPED_FILTER_H

class InfoWindow;
class SignatureView;

class MessageDroppedFilter : public BMessageFilter
{
	public:
												MessageDroppedFilter(InfoWindow *theWindow);
	virtual filter_result	Filter(BMessage *message, BHandler **target);

	private:	
					InfoWindow		*ourWindow;
					SignatureView	*typeView, *appView;
};

#endif